{% extends 'sponsor_authed_base.html' %}

{% block main %}
    <script>
    function closeitem(key_id) {
        }
    </script>
    <div class="full-column">
        <h2>Logo & Details</h2>
        {% if bad_file %}
            <span class="red-print">Bad file upload: Either the file was corrupt or over-sized</span>
        {% endif %}
        {% if logo_b64 %}
            {% if sponsor_url %}
                <a href="{{ sponsor_url }}">  {# nosemgrep #}
            {% endif %}
                <img src="data:image/png;base64,{{ logo_b64 }}" alt="{{ display_name }}"/>
            {% if sponsor_url %}
                </a>
            {% endif %}
        {% endif %}
        <form action="/sponsor_logo" target="_self" method="POST" class="logo_form" enctype="multipart/form-data">
            <label for="logo">Logo file</label>
            <input type="file" accept="image/png, image/jpeg" id="logo" name="logo" placeholder="Logo file" />
            <label for="display_name">Display name</label>
            <input type="text" id="display_name" name="display_name" placeholder="{{ display_name }}"/>
            <label for="sponsor_url">Your link</label>
            <input type="url" id="sponsor_url" name="sponsor_url" placeholder="{{ sponsor_url }}"/>
            <button>Submit changes</button>
        </form>
        <span class="small-print">Note: Changes to sponsor logo & link details are subject to approval, this process may take upto 30 days.</span>
    </div>
{% endblock %}